- Qt 6.8
- Qt Widgets
- C++ Classes
- QAbstractItemView
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QAbstractItemView

The following members of class QAbstractItemView are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` QAbstractItemDelegate * | itemDelegate(const QModelIndex &index) const

## Member Function Documentation

### `[deprecated]` QAbstractItemDelegate *QAbstractItemView::itemDelegate(const QModelIndex &index) const

This function is deprecated. We strongly advise against using it in new code.

Use itemDelegateForIndex() instead. Returns the item delegate used by this view and model for the given index.